<template>
    <div>
        <router-link to="/goods-issue">відправка товару</router-link>
    <router-link to="/">Список товарів</router-link>
      <h2>Надходження товару</h2>
      <form @submit.prevent="addGoods">
        <label>Product Name:
          <input v-model="productName" required>
        </label>
        <label>Quantity:
          <input type="number" v-model="quantity" required>
        </label>
        <label>Type:
          <select v-model="goodType" required>
            <option value="л">л</option>
            <option value="кг">кг</option>
           
          </select>
        </label>
        <button type="submit">Add Goods</button>
      </form>
    </div>
  </template>
  
  <script>
  export default {
    data() {
      return {
        productName: '',
        quantity: 0,
        goodType: 'л' 
      };
    },
    methods: {
        addGoods() {
      const goodsItem = {
        name: this.productName,
        quantity: this.quantity,
        goodtype: this.goodtype
      };
      this.$store.dispatch('addGoods', goodsItem);
      this.productName = '';
      this.quantity = 0;
      this.goodtype = 'кг'; 
    }
    }
  };
  </script>
  